Subject: Re: 29.0.60; icomplete--in-region-setup should activate icomplete-fido-mode-map too

From: Sean Whitton <[email-masked]>
Date: Fri, 03 Mar 2023 19:35:35 -0700

Hello,

On Fri 03 Mar 2023 at 11:18AM -07, Sean Whitton wrote:

> X-debbugs-cc: [email-masked], [email-masked]
>
> Many thanks to Juri and Joao for fixing #45763!  It's a whole new world!
>
> I am a fido-mode user.  I noticed that my custom bindings for the
> fido-mode minibuffer don't work for in-buffer completion.  I think that
> icomplete--in-region-setup should compose in icomplete-fido-mode-map, in
> addition to icomplete-minibuffer-map, in the case that fido-mode is on?

I noticed that icomplete-hide-common-prefix etc. are wrong too.
I think that icomplete--in-region-setup also needs to do something
equivalent to the setq-local in icomplete--fido-mode-setup.

-- 
Sean Whitton